import App from './App'
// import store from './store'
import uView from './uni_modules/vk-uview-ui';
import api from '@/api/api.js';


// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue';
import setupGlobalProperties  from './utils/index.js';
export function createApp() {
  const app = createSSRApp(App)
    // 挂载全局属性和方法
  setupGlobalProperties(app);
  app.config.globalProperties.$api = api;
  app.use(uView);
  return {
    app
  }
}
// #endif